## AgsFxNotationAudioSignal

AgsFxNotationAudioSignal — fx notation audio signal

## Stability Level

Stable, unless otherwise indicated

## Functions

void | ags_fx_notation_audio_signal_stream_feed ()
void | ags_fx_notation_audio_signal_notify_remove ()
AgsFxNotationAudioSignal * | ags_fx_notation_audio_signal_new ()

## Object Hierarchy

        GObject
        ╰── AgsRecall
            ╰── AgsRecallAudioSignal
                ╰── AgsFxNotationAudioSignal
                    ├── AgsFxDssiAudioSignal
                    ├── AgsFxFMSynthAudioSignal
                    ├── AgsFxLv2AudioSignal
                    ├── AgsFxModularSynthAudioSignal
                    ├── AgsFxRavenSynthAudioSignal
                    ├── AgsFxSeqSynthAudioSignal
                    ├── AgsFxSF2SynthAudioSignal
                    ├── AgsFxSFZSynthAudioSignal
                    ├── AgsFxStarSynthAudioSignal
                    ╰── AgsFxSynthAudioSignal

## Includes

    #include <ags/audio/fx/ags_fx_notation_audio_signal.h>

## Description

The AgsFxNotationAudioSignal class provides ports to the effect processor.

## Functions

### ags_fx_notation_audio_signal_stream_feed ()

    void
    ags_fx_notation_audio_signal_stream_feed
                                   (AgsFxNotationAudioSignal *fx_notation_audio_signal,
                                    AgsAudioSignal *source,
                                    AgsNote *note,
                                    gboolean pattern_mode,
                                    guint x0,
                                    guint x1,
                                    guint y,
                                    gdouble delay_counter,
                                    guint64 offset_counter,
                                    guint frame_count,
                                    gdouble delay,
                                    guint buffer_size);

### ags_fx_notation_audio_signal_notify_remove ()

    void
    ags_fx_notation_audio_signal_notify_remove
                                   (AgsFxNotationAudioSignal *fx_notation_audio_signal,
                                    AgsAudioSignal *source,
                                    AgsNote *note,
                                    guint x0,
                                    guint x1,
                                    guint y);

### ags_fx_notation_audio_signal_new ()

    AgsFxNotationAudioSignal *
    ags_fx_notation_audio_signal_new (AgsAudioSignal *audio_signal);

Create a new instance of AgsFxNotationAudioSignal

#### Parameters

audio_signal | the AgsAudioSignal |

#### Returns

the new AgsFxNotationAudioSignal

Since: 3.3.0